Bug 2821 - Auth.pm gets too much information when authenticating staff user
Summary: Auth.pm gets too much information when authenticating staff user
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: PC All
: P3 minor (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-25 03:54 UTC by Chris Cormack
Modified: 2013-12-05 20:05 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:56:49 UTC


---- Reported by rch@liblime.com 2008-11-25 15:54:56 ----

When a staff user logs in, get_template_and_user calls GetMemberDetails to get permissions flags.  This function also queries for any issues, reserves and charges that the logging-in user may have.  There is no need for this information; we should have a slimmed down authentication for the staff interface that skips superfluous queries.



---- Additional Comments From joe.atzberger@liblime.com 2009-06-05 20:06:42 ----

GetMemberDetails is extremely costly and doing it during Auth means that the pages that really DO need the information are calling GetMemberDetails *twice*.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:56 UTC  ---

This bug was previously known as _bug_ 2821 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2821

Unknown Component Authentication
   Using default product and component set in Parameters 
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was rch@liblime.com.
CC member joe.atzberger@liblime.com does not have an account here

Comment 1 Chris Cormack 2013-01-13 18:10:17 UTC
GetMemberDetails does not query for issues or reserves.